Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1060684 - [abrt] openvpn: gc_malloc(): openvpn killed by SIGSEGV
Summary: [abrt] openvpn: gc_malloc(): openvpn killed by SIGSEGV
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: openvpn
Version: 20
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Gwyn Ciesla
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:0e02df26337eaccd413c2606a00...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-02-03 11:09 UTC by stuart.henderson02
Modified: 2015-06-29 14:57 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-06-29 14:57:41 UTC


Attachments (Terms of Use)
File: backtrace (deleted)
2014-02-03 11:09 UTC, stuart.henderson02
no flags Details
File: cgroup (deleted)
2014-02-03 11:09 UTC, stuart.henderson02
no flags Details
File: core_backtrace (deleted)
2014-02-03 11:09 UTC, stuart.henderson02
no flags Details
File: dso_list (deleted)
2014-02-03 11:09 UTC, stuart.henderson02
no flags Details
File: environ (deleted)
2014-02-03 11:09 UTC, stuart.henderson02
no flags Details
File: exploitable (deleted)
2014-02-03 11:09 UTC, stuart.henderson02
no flags Details
File: limits (deleted)
2014-02-03 11:09 UTC, stuart.henderson02
no flags Details
File: maps (deleted)
2014-02-03 11:09 UTC, stuart.henderson02
no flags Details
File: open_fds (deleted)
2014-02-03 11:09 UTC, stuart.henderson02
no flags Details
File: proc_pid_status (deleted)
2014-02-03 11:09 UTC, stuart.henderson02
no flags Details
File: var_log_messages (deleted)
2014-02-03 11:09 UTC, stuart.henderson02
no flags Details

Description stuart.henderson02 2014-02-03 11:09:05 UTC
Description of problem:
Shutdown VPN session through NetworkManager.

Version-Release number of selected component:
openvpn-2.3.2-4.fc20

Additional info:
reporter:       libreport-2.1.11
backtrace_rating: 4
cmdline:        /usr/sbin/openvpn --remote us-texas.privateinternetaccess.com --comp-lzo --nobind --dev tun --proto udp --port 1194 --auth-nocache --syslog nm-openvpn --script-security 2 --up /usr/libexec/nm-openvpn-service-openvpn-helper --up-restart --persist-key --persist-tun --management 127.0.0.1 1194 --management-query-passwords --route-noexec --ifconfig-noexec --client --auth-user-pass --ca /etc/openvpn/ca.crt
crash_function: gc_malloc
executable:     /usr/sbin/openvpn
kernel:         3.12.8-300.fc20.x86_64
runlevel:       N 5
type:           CCpp
uid:            0

Truncated backtrace:
Thread no. 1 (10 frames)
 #2 gc_malloc at buffer.c:336
 #3 string_alloc at buffer.c:539
 #4 string_mod_const at buffer.c:861
 #5 setenv_str_ex at misc.c:783
 #6 setenv_str at misc.c:741
 #7 run_up_down at misc.c:78
 #8 do_close_tun at init.c:1546
 #9 close_instance at init.c:3512
 #10 close_context at init.c:3687
 #11 init_instance at init.c:3473

Comment 1 stuart.henderson02 2014-02-03 11:09:15 UTC
Created attachment 858500 [details]
File: backtrace

Comment 2 stuart.henderson02 2014-02-03 11:09:19 UTC
Created attachment 858501 [details]
File: cgroup

Comment 3 stuart.henderson02 2014-02-03 11:09:25 UTC
Created attachment 858502 [details]
File: core_backtrace

Comment 4 stuart.henderson02 2014-02-03 11:09:27 UTC
Created attachment 858503 [details]
File: dso_list

Comment 5 stuart.henderson02 2014-02-03 11:09:29 UTC
Created attachment 858504 [details]
File: environ

Comment 6 stuart.henderson02 2014-02-03 11:09:32 UTC
Created attachment 858505 [details]
File: exploitable

Comment 7 stuart.henderson02 2014-02-03 11:09:34 UTC
Created attachment 858506 [details]
File: limits

Comment 8 stuart.henderson02 2014-02-03 11:09:37 UTC
Created attachment 858507 [details]
File: maps

Comment 9 stuart.henderson02 2014-02-03 11:09:40 UTC
Created attachment 858508 [details]
File: open_fds

Comment 10 stuart.henderson02 2014-02-03 11:09:42 UTC
Created attachment 858509 [details]
File: proc_pid_status

Comment 11 stuart.henderson02 2014-02-03 11:09:45 UTC
Created attachment 858510 [details]
File: var_log_messages

Comment 12 Fedora Admin XMLRPC Client 2014-11-10 15:37:23 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 13 Fedora Admin XMLRPC Client 2014-11-10 15:51:31 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 14 Fedora End Of Life 2015-05-29 10:47:20 UTC
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 15 Fedora End Of Life 2015-06-29 14:57:41 UTC
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.